import java.io.IOException;

import org.apache.hadoop.fs.Path;
import org.apache.hadoop.hbase.client.Scan;
import org.apache.hadoop.hbase.mapreduce.TableInputFormat;
import org.apache.hadoop.hbase.mapreduce.TableMapReduceUtil;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.MultipleInputs;
import org.apache.hadoop.mapreduce.lib.input.TextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;

public class MaxValueMultipleInput {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException, InterruptedException {

		Scan scan = new Scan();
		scan.setCaching(500);
		scan.setCacheBlocks(false);

		Job job = new Job();
		job.setJarByClass(MaxValueMultipleInput.class);
		job.setJobName("Maksymalna wartosc dla plikow z logami.");

		TableMapReduceUtil.initTableMapperJob("MaxValuesTable", scan,
				MaxValueMultipleInputHBaseMapper.class, Text.class,
				IntWritable.class, job);

		MultipleInputs.addInputPath(job, new Path("/user/cloudera/file1.txt"),
				TextInputFormat.class, MaxValueMultipleInputFileMapper.class);

		MultipleInputs.addInputPath(job, new Path("/user/cloudera/file2.txt"),
				TextInputFormat.class, MaxValueMultipleInputFileMapper.class);

		MultipleInputs.addInputPath(job, new Path("not needed"),
				TableInputFormat.class, MaxValueMultipleInputHBaseMapper.class);

		FileOutputFormat.setOutputPath(job, new Path("/user/cloudera/output"));

		job.setNumReduceTasks(2);

		job.setPartitionerClass(MaxValueMultipleInputPartitioner.class);
		job.setCombinerClass(MaxValueMultipleInputReducer.class);
		job.setReducerClass(MaxValueMultipleInputReducer.class);

		job.setOutputKeyClass(Text.class);
		job.setOutputValueClass(IntWritable.class);

		System.exit(job.waitForCompletion(true) ? 0 : 1);

	}

}
