import java.io.IOException;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.Path;
import org.apache.hadoop.hbase.HBaseConfiguration;
import org.apache.hadoop.hbase.KeyValue;
import org.apache.hadoop.hbase.client.HTable;
import org.apache.hadoop.hbase.client.Put;
import org.apache.hadoop.hbase.client.Scan;
import org.apache.hadoop.hbase.io.ImmutableBytesWritable;
import org.apache.hadoop.hbase.mapreduce.HFileOutputFormat;
import org.apache.hadoop.hbase.mapreduce.LoadIncrementalHFiles;
import org.apache.hadoop.hbase.mapreduce.TableInputFormat;
import org.apache.hadoop.hbase.mapreduce.TableMapReduceUtil;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.MultipleInputs;
import org.apache.hadoop.mapreduce.lib.input.TextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;

public class MaxValueMultipleInput {

	public static void main(String[] args) throws Exception {

		Scan scan = new Scan();
		scan.setCaching(500);
		scan.setCacheBlocks(false);

		Configuration conf = new Configuration();
		conf.set("hbase.table.name", "MaxValuesRegion");

		Job job = new Job();
		job.setJarByClass(MaxValueMultipleInput.class);
		job.setJobName("Zapis do bazy HBase.");

		MultipleInputs.addInputPath(job, new Path(
				"/user/cloudera/input_data/HBase_file.txt"), TextInputFormat.class,
				MaxValueMultipleInputFileMapper.class);

		MultipleInputs.addInputPath(job, new Path(
				"/user/cloudera/input_data/HBase_file2.txt"), TextInputFormat.class,
				MaxValueMultipleInputFileMapper.class);

		job.setMapOutputKeyClass(ImmutableBytesWritable.class);
		job.setMapOutputValueClass(KeyValue.class);

		job.setOutputFormatClass(HFileOutputFormat.class);

		FileOutputFormat.setOutputPath(job, new Path("output"));
		HTable hTable = new HTable(job.getConfiguration(), "MaxValuesRegion");
		HFileOutputFormat.configureIncrementalLoad(job, hTable);

		job.waitForCompletion(true);

		if (job.isSuccessful()) {
			HBaseConfiguration.addHbaseResources(job.getConfiguration());
			LoadIncrementalHFiles loadFfiles = new LoadIncrementalHFiles(
					job.getConfiguration());
			loadFfiles.doBulkLoad(new Path("output"), hTable);
		}
	}
}
