import java.io.IOException;

import org.apache.hadoop.hbase.KeyValue;
import org.apache.hadoop.hbase.io.ImmutableBytesWritable;
import org.apache.hadoop.hbase.util.Bytes;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class MaxValueMultipleInputFileMapper extends
		Mapper<LongWritable, Text, ImmutableBytesWritable, KeyValue> {

	@Override
	public void map(LongWritable key, Text value, Context context)
			throws IOException, InterruptedException {
		String line = value.toString();
		String id = line.substring(0, 12);
		String number = line.substring(15, 21);
		ImmutableBytesWritable hkey = new ImmutableBytesWritable();
		hkey.set(id.getBytes());
		KeyValue kv = new KeyValue(hkey.get(), Bytes.toBytes("values"),
				Bytes.toBytes("first_value"), Bytes.toBytes(number));

		context.write(hkey, kv);
	}

}
