import java.io.IOException;


import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.MultipleInputs;
import org.apache.hadoop.mapreduce.lib.input.TextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;

public class CommSurveyMain {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException, InterruptedException {
		Job job = new Job();
		job.setJarByClass(CommSurveyMain.class);
		job.setJobName("Maksymalna wartosc dla plikow z logami.");
		MultipleInputs
				.addInputPath(
						job,
						new Path(
								"/user/cloudera/home/2015-american-community-survey/ss15husa.csv"),
						TextInputFormat.class, CommSurveyMapper.class);
		MultipleInputs
				.addInputPath(
						job,
						new Path(
								"/user/cloudera/home/2015-american-community-survey/ss15husb.csv"),
						TextInputFormat.class, CommSurveyMapper.class);
		MultipleInputs.addInputPath(job, new Path("/user/cloudera/home/2015-american-community-survey/PUMSDataDict15.txt"),
				TextInputFormat.class, CommSurveyMetadataMapper.class);

		FileOutputFormat.setOutputPath(job, new Path("output"));

		job.setReducerClass(CommSurveyReducer.class);

		job.setMapOutputKeyClass(Text.class);
		job.setMapOutputValueClass(Text.class);
		job.setOutputKeyClass(Text.class);
		job.setOutputValueClass(CommSurveyOutputStats.class);

		System.exit(job.waitForCompletion(true) ? 0 : 1);

	}

}
