import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class CommSurveyMapper extends
		Mapper<LongWritable, Text, Text, Text> {

	@Override
	protected void map(LongWritable key, Text value, Context context)
			throws IOException, InterruptedException {
		String[] vals = value.toString().split(",");
		
		if (vals[1].equalsIgnoreCase("SERIALNO"))
			return;
		String serialId = vals[1];
		String stateId = vals[5];
		
		String internetAccess = vals[11];
		if(internetAccess.isEmpty())
			internetAccess = "N/A";
		
		String numberOfPeople = vals[9];
		if(numberOfPeople.isEmpty()){
			numberOfPeople = "N/A";
		}
		
		String housingType = vals[10];
		if(housingType.isEmpty())
			housingType="N/A";
		
		String output = "DATA,"+serialId+","+stateId+","+internetAccess+","+numberOfPeople+","+","+housingType;

		context.write(new Text(stateId), new Text(output));

	}

}
