import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class CommSurveyMetadataMapper extends
		Mapper<LongWritable, Text, Text, Text> {

	@Override
	protected void map(LongWritable key, Text value, Context context)
			throws IOException, InterruptedException {
		
		String line = value.toString();
		if(!line.contains("State Code"))
			return;
		else{
			String[] vals = line.split(",");
			String stateId = vals[1];
			String stateName = vals[2];
			String stateShortcut = vals[3];
			String output = "META,"+stateId+","+stateName+","+stateShortcut;
			context.write(new Text(stateId),new Text(output));
		}

	}

}
