import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

import org.apache.hadoop.io.Writable;

public class CommSurveyOutputStats implements Writable {

	public String stateId;
	public String stateName;
	public String stateShortcut;
	public Long numberOfPeople = 0L;
	public Long npWithInternetSubscription = 0L;
	public Long npWithInternetNoSubscription = 0L;
	public Long npWithoutInternet = 0L;
	public Long npDontSpecifyInternetAccess = 0L;
	public String percentpWithInternetSubscription;
	public String percentpWithInternetNoSubscription;
	public String percentpWithoutInternet;
	public String percentpDontSpecifyInternetAccess;

	public void calculateAverages() {
		percentpWithInternetSubscription = String.format("%.2f",((double) npWithInternetSubscription / (double) numberOfPeople));
		percentpWithInternetNoSubscription =String.format("%.2f",((double) npWithInternetNoSubscription / numberOfPeople));
		percentpWithoutInternet = String.format("%.2f",((double) npWithoutInternet / numberOfPeople));
		percentpDontSpecifyInternetAccess = String.format("%.2f",((double) npDontSpecifyInternetAccess / numberOfPeople));
	}

	public void incrStats(String internetType, Long adds) {
		if (internetType.equalsIgnoreCase("N/A"))
			npDontSpecifyInternetAccess = npDontSpecifyInternetAccess + adds;
		if (internetType.equalsIgnoreCase("1"))
			npWithInternetSubscription = npWithInternetSubscription + adds;
		if (internetType.equalsIgnoreCase("2"))
			npWithInternetNoSubscription = npWithInternetNoSubscription + adds;
		if (internetType.equalsIgnoreCase("3"))
			npWithoutInternet = npWithoutInternet + adds;
	}

	@Override
	public void readFields(DataInput arg0) throws IOException {
		stateId = arg0.readUTF();
		stateName = arg0.readUTF();
		stateShortcut = arg0.readUTF();
		numberOfPeople = arg0.readLong();
		npWithInternetSubscription = arg0.readLong();
		npWithInternetNoSubscription = arg0.readLong();
		npWithoutInternet = arg0.readLong();
		npDontSpecifyInternetAccess = arg0.readLong();
		percentpWithInternetSubscription = arg0.readUTF();
		percentpWithInternetNoSubscription = arg0.readUTF();
		percentpWithoutInternet = arg0.readUTF();
		percentpDontSpecifyInternetAccess = arg0.readUTF();

	}

	@Override
	public void write(DataOutput arg0) throws IOException {
		arg0.writeUTF(stateId);
		arg0.writeUTF(stateName);
		arg0.writeUTF(stateShortcut);
		arg0.writeLong(numberOfPeople);
		arg0.writeLong(npWithInternetSubscription);
		arg0.writeLong(npWithInternetNoSubscription);
		arg0.writeLong(npWithoutInternet);
		arg0.writeLong(npDontSpecifyInternetAccess);
		arg0.writeUTF(percentpWithoutInternet);
		arg0.writeUTF(percentpWithInternetNoSubscription);
		arg0.writeUTF(percentpWithoutInternet);
		arg0.writeUTF(percentpDontSpecifyInternetAccess);
	}

	@Override
	public String toString() {
		return "CommSurveyOutputStats [STATE_ID=" + stateId
				+ ", STATE_NAME=" + stateName
				+ ", STATE_SHORTCUT=" + stateShortcut
				+ ", NUMBER_OF_PEOPLE=" + numberOfPeople
				+ ", PEOPLE_WITH_INTERNET_SUBS=" + npWithInternetSubscription
				+ ", PEOPLE_WITH_INTERNET_NO_SUBS="
				+ npWithInternetNoSubscription + ", PEOPLE_WITHOUT_INTERNET="
				+ npWithoutInternet + ", PEOPLE_DONT_SPECIFY_INTERNET_ACCESS="
				+ npDontSpecifyInternetAccess
				+ ", PRCT_PEOPLE_WITH_INTERNET_SUBS="
				+ percentpWithInternetSubscription
				+ ", PRCT_PEOPLE_WITH_INTERNET_NO_SUBS="
				+ percentpWithInternetNoSubscription
				+ ", PRCT_PEOPLE_WITHOUT_INTERNET=" + percentpWithoutInternet
				+ ", PRCT_PEOPLE_DONT_SPECIFY_INTERNET_ACCESS="
				+ percentpDontSpecifyInternetAccess + "]";
	}

}
