import java.io.IOException;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Reducer;

public class CommSurveyReducer extends
Reducer<Text, Text, Text, CommSurveyOutputStats> {
	@Override
	protected void reduce(Text arg0,Iterable<Text> arg1,Context arg2)
			throws IOException, InterruptedException {
		
		
		CommSurveyOutputStats outputStat = new CommSurveyOutputStats();
		
		for(Text values : arg1){
			String[] vals = values.toString().split(",");
			if(vals[0].equalsIgnoreCase("DATA")){
				String numberOfPeople = vals[4];
				String inType = vals[3];
				Long pplNumber = 0L;
				if(!numberOfPeople.equals("N/A")){
					pplNumber = Long.parseLong(numberOfPeople);
				}
				else {
					pplNumber=1L; // assume at least one person
				}
				outputStat.numberOfPeople+=pplNumber;
				outputStat.incrStats(inType,pplNumber);
			}
			else if(vals[0].equalsIgnoreCase("META")){
				outputStat.stateName = vals[2];
				outputStat.stateShortcut = vals[3];
			}
		}
		
		outputStat.calculateAverages();
		outputStat.stateId = arg0.toString();
		
		arg2.write(arg0, outputStat);
		
	}
}
